/*
 * flexi-cgi.h part of flexi-cgi
 * Copyright (C) 2000 V.R.Sanders
 *
 * see flexi-cgi.c for details
 */

#define FLEXI_CGI_ROOT "flexi-sheets"
#define SECONDS_PER_DAY 86400
#define HOURS_PER_DAY 24
#define SECONDS_PER_HOUR 3600
#define SECONDS_PER_MIN 60
#define INOUT_PER_DAY 4

#define DAYTYPE_WORKING 0
#define DAYTYPE_WEEKEND 1
#define DAYTYPE_BANKHOL 2
#define DAYTYPE_GLOBALEND 99
#define DAYTYPE_SICK 100
#define DAYTYPE_HOLIDAY 101
#define DAYTYPE_CONFERENCE 102
#define DAYTYPE_FLEXIDAY 103
#define DAYTYPE_OVERTIME 104
#define DAYTYPE_HALF_HOLIDAY 105
#define DAYTYPE_HALF_FLEXIDAY 106
#define DAYTYPE_HALF_SICK 107
#define DAYTYPE_USEREND 107

typedef struct
{
    char * dayname;
    int daytype;
    int daytype_default;
    time_t inout[4];
    time_t day_total;
}
fx_day;

typedef struct
{
    fx_day days[7];
    time_t week_total;
    time_t week_length;
    time_t week_leave;
    time_t week_flexi;
    time_t work_day_length;
    int yearno;
    int weekno;
    int dayno;
}
fx_week;

/* exported functions */
int send_error(const char * );
int get_week_number();
int get_year_number();
fx_week* load_week(const char * ,const char * ,int,int );
int calc_worked_hours(fx_week *);
int flexi_update_passwd(const char * docroot,const char * user);
